#
# spec file for package yast2-theme-NLD (Version 0.4.5)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libxml2 liby2util libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim yast2-core zlib zlib-devel


Name:           yast2-theme-NLD
BuildRequires:  filesystem yast2-core
Version:        0.4.5
Release:        3.26
License:        Other uncritical OpenSource License
Group:          System/YaST
Provides:       yast2_theme
#Obsoletes:      yast2-theme-SuSELinux
PreReq:         /bin/ln
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        tango-yast2-theme-%{version}.tar.bz2
Source1:        virt.tar.bz2
# The icons in fingerprint.tar.bz2 come from
# http://svn.opensuse.org/svn/yast/trunk/theme/openSUSE/icons, r41494
Source2:        fingerprint.tar.bz2
Prefix:         /usr
BuildArch:      noarch
Summary:        YaST2 NLD Theme

%description
This package contains the YaST2 NLD theme.



Authors:
--------
    Ken Wimer <wimer@suse.de>
    Tuomas Kuosmanen <tigert@ximian.com>
    Jakub Steiner <jimmac@ximian.com>

%debug_package
%prep
%setup -n tango-yast2-theme -a1 -a2
mv icons/22x22/apps/apparmor_creation_wizzard.png icons/22x22/apps/apparmor_creation_wizard.png
mv icons/22x22/apps/apparmor_update_wizzard.png icons/22x22/apps/apparmor_update_wizard.png
mv icons/32x32/apps/apparmor_creation_wizzard.png icons/32x32/apps/apparmor_creation_wizard.png
mv icons/32x32/apps/apparmor_update_wizzard.png icons/32x32/apps/apparmor_update_wizard.png
mv icons/48x48/apps/apparmor_creation_wizzard.png icons/48x48/apps/apparmor_creation_wizard.png
mv icons/48x48/apps/apparmor_update_wizzard.png icons/48x48/apps/apparmor_update_wizard.png

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/YaST2/theme/NLD/
cp -a * $RPM_BUILD_ROOT/usr/share/YaST2/theme/NLD/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/22x22/apps
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps
cd icons
for dir in 22x22 32x32 48x48; do \
	for icon in $dir/apps/*.png; do \
		ln -s /usr/share/YaST2/theme/NLD/icons/$icon $RPM_BUILD_ROOT/usr/share/icons/hicolor/$icon; \
	done; \
done
for icon in scalable/apps/*.svg; do \
	ln -s /usr/share/YaST2/theme/NLD/icons/$icon $RPM_BUILD_ROOT/usr/share/icons/hicolor/$icon; \
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%post
cd /usr/share/YaST2/theme
rm current
ln -sf NLD current
touch /usr/share/icons/hicolor

%postun
touch /usr/share/icons/hicolor

%files
%defattr(-,root,root)
/usr/share/YaST2/theme
/usr/share/icons/hicolor

%changelog
* Wed Apr 02 2008 - mauro@suse.de
- Fix for bnc#369222 - fixed apparmor icons.
* Sat Oct 20 2007 - maw@suse.de
- Add fingerprint icons (fate #302658).
* Wed Apr 25 2007 - maw@suse.de
- Remove a comment that was inadvertently left in the previous
  submission.
* Wed Apr 25 2007 - maw@suse.de
- Add virt.tar.bz2 as a source, providing icons for virtualization
  functionality (#258600).
* Tue Mar 27 2007 - dobey@suse.de
- Update theme to include yast2 isns icon
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=257871
* Wed Feb 21 2007 - dobey@suse.de
- Update theme to include yast2 autofs icon
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=246962
* Fri Feb 16 2007 - dobey@suse.de
- Update theme to fix sharpness in 32x32 icon versions
* Mon Feb 05 2007 - sreeves@suse.de
- Fix for #239821 - invalid icon names in Icon= field.
* Mon Jan 22 2007 - dobey@suse.de
- Update theme to include yast-ldap-browser
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=231096
* Fri May 05 2006 - dobey@suse.de
- Update theme to 0.4.5 to add more icons
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=170882
* Wed May 03 2006 - dobey@suse.de
- Update theme to 0.4.4 to fix icon naming issues
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=170184
* Fri Apr 21 2006 - dobey@suse.de
- Update theme to 0.4.3 for more new icons
  https://bugzilla.novell.com/show_bug.cgi?id=162102
  https://bugzilla.novell.com/show_bug.cgi?id=163258
* Thu Apr 20 2006 - dobey@suse.de
- Remove quoting from for loop so that symlinks get created
  properly in the hicolor theme
  https://bugzilla.novell.com/show_bug.cgi?id=166008
* Wed Apr 19 2006 - kukuk@suse.de
- Remove obsolete again, still breaks the build
* Tue Apr 18 2006 - dobey@suse.de
- Symlink icons from hicolor rather than copying a subset
  Use the hicolor theme in /usr/share/icons instead of /opt/gnome
  Partial fix of https://bugzilla.novell.com/show_bug.cgi?id=166008
* Sat Apr 15 2006 - dobey@suse.de
- Update yast2 theme to include more module icons
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=156458
* Thu Mar 30 2006 - dobey@suse.de
- Update to 0.4.2 for a few more icons
  https://bugzilla.novell.com/show_bug.cgi?id=161714
* Tue Mar 28 2006 - dobey@suse.de
- Update to version 0.4.1 for more icons
  https://bugzilla.novell.com/show_bug.cgi?id=160293
  https://bugzilla.novell.com/show_bug.cgi?id=154930
* Wed Mar 08 2006 - kukuk@suse.de
- Remove obsolete yast2-theme-SuSELinux (breaks build)
* Tue Mar 07 2006 - dobey@suse.de
- Updated icons to use better bitmaps for smaller sizes
- Obsolete yast2-theme-SuSELinux
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=146321
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 - dobey@suse.de
- Copy some icons to hicolor theme and require gnome-icon-theme
* Mon Nov 28 2005 - dobey@suse.de
- Fix directory ownership
* Mon Nov 28 2005 - dobey@suse.de
- Update to 0.4.0
* Wed Nov 23 2005 - jpr@suse.de
- %%dir /usr/share/YaST2 to fix build
* Wed Nov 23 2005 - dobey@suse.de
- Update to new yast2 theme with Tango style icons
* Wed Aug 04 2004 - clahey@suse.de
- Provide yast2_theme.
* Fri Jul 16 2004 - clahey@suse.de
- Initial Import.
